#perl-MIME-tools.spec
%define name perl-MIME-tools
%define real_name MIME-tools
%define version 4.124
%define release 1mdk

Summary: Perl modules for parsing (and creating!) MIME entities
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Languages 
Buildroot: %{_tmppath}/%{name}-buildroot/
Source: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/MIME/%{real_name}-%{version}.tar.bz2
Prefix: %{_prefix}

%description
MIME-tools - modules for parsing (and creating!) MIME entities
Modules in this toolkit : Abstract message holder (file, scalar, etc.), 
OO interface for decoding MIME messages, an extracted and decoded MIME entity, 
Mail::Field subclasses for parsing fields, a parsed MIME header (Mail::Header 
subclass), parser and tool for building your own MIME parser, and utilities.

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
make install PREFIX="$RPM_BUILD_ROOT/%{prefix}"
bzip2 -9f $RPM_BUILD_ROOT%{prefix}/lib/perl5/man/man3/*.3

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5.005/MIME/IO.pm
/usr/lib/perl5/site_perl/5.005/MIME/Entity.pm
/usr/lib/perl5/site_perl/5.005/MIME/Decoder/QuotedPrint.pm
/usr/lib/perl5/site_perl/5.005/MIME/Decoder/Gzip64.pm
/usr/lib/perl5/site_perl/5.005/MIME/Decoder/Binary.pm
/usr/lib/perl5/site_perl/5.005/MIME/Decoder/Base64.pm
/usr/lib/perl5/site_perl/5.005/MIME/Decoder/UU.pm
/usr/lib/perl5/site_perl/5.005/MIME/Decoder/NBit.pm
/usr/lib/perl5/site_perl/5.005/MIME/Field/ParamVal.pm
/usr/lib/perl5/site_perl/5.005/MIME/Field/ContType.pm
/usr/lib/perl5/site_perl/5.005/MIME/Field/ConTraEnc.pm
/usr/lib/perl5/site_perl/5.005/MIME/Field/ContDisp.pm
/usr/lib/perl5/site_perl/5.005/MIME/ParserBase.pm
/usr/lib/perl5/site_perl/5.005/MIME/Latin1.pm
/usr/lib/perl5/site_perl/5.005/MIME/Parser.pm
/usr/lib/perl5/site_perl/5.005/MIME/Body.pm
/usr/lib/perl5/site_perl/5.005/MIME/ToolUtils.pm
/usr/lib/perl5/site_perl/5.005/MIME/Words.pm
/usr/lib/perl5/site_perl/5.005/MIME/Tools.pm
/usr/lib/perl5/site_perl/5.005/MIME/Head.pm
/usr/lib/perl5/site_perl/5.005/MIME/Decoder.pm
/usr/lib/perl5/man/man3/MIME::Head.3.bz2
/usr/lib/perl5/man/man3/MIME::Decoder::UU.3.bz2
/usr/lib/perl5/man/man3/MIME::IO.3.bz2
/usr/lib/perl5/man/man3/MIME::ToolUtils.3.bz2
/usr/lib/perl5/man/man3/MIME::Tools.3.bz2
/usr/lib/perl5/man/man3/MIME::Entity.3.bz2
/usr/lib/perl5/man/man3/MIME::Field::ParamVal.3.bz2
/usr/lib/perl5/man/man3/MIME::Decoder::Gzip64.3.bz2
/usr/lib/perl5/man/man3/MIME::Latin1.3.bz2
/usr/lib/perl5/man/man3/MIME::Field::ConTraEnc.3.bz2
/usr/lib/perl5/man/man3/MIME::Words.3.bz2
/usr/lib/perl5/man/man3/MIME::Parser.3.bz2
/usr/lib/perl5/man/man3/MIME::Decoder::QuotedPrint.3.bz2
/usr/lib/perl5/man/man3/MIME::Field::ContType.3.bz2
/usr/lib/perl5/man/man3/MIME::Body.3.bz2
/usr/lib/perl5/man/man3/MIME::Decoder.3.bz2
/usr/lib/perl5/man/man3/MIME::Decoder::Base64.3.bz2
/usr/lib/perl5/man/man3/MIME::Decoder::Binary.3.bz2
/usr/lib/perl5/man/man3/MIME::Decoder::NBit.3.bz2
/usr/lib/perl5/man/man3/MIME::Field::ContDisp.3.bz2
/usr/lib/perl5/man/man3/MIME::ParserBase.3.bz2

%changelog
* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.

# end of file
